/*_############################################################################
  _## 
  _##  SNMP4J-Model - SimpleMibTreeTableCellEditor.java  
  _## 
  _##  Copyright (C) 2013-2015  Frank Fock (SNMP4J.org)
  _##  
  _##  This program is free software; you can redistribute it and/or modify
  _##  it under the terms of the GNU General Public License version 2 as 
  _##  published by the Free Software Foundation.
  _##
  _##  This program is distributed in the hope that it will be useful,
  _##  but WITHOUT ANY WARRANTY; without even the implied warranty of
  _##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  _##  GNU General Public License for more details.
  _##
  _##  You should have received a copy of the GNU General Public License
  _##  along with this program; if not, write to the Free Software
  _##  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
  _##  MA  02110-1301  USA
  _##  
  _##########################################################################*/
package org.snmp4j.model.demo.mibbrowser;

import javax.swing.*;
import javax.swing.table.TableCellEditor;
import java.awt.*;
import java.awt.event.MouseEvent;
import java.util.EventObject;

/**
 * The <code>SimpleMibTreeTableCellEditor</code> is a simple tree editor that support table editing for nodes.
 *
 * @author Frank Fock
 * @version 1.0
 */
public class SimpleMibTreeTableCellEditor extends AbstractCellEditor implements TableCellEditor {

  private JTree tree;
  private JTable table;

  public SimpleMibTreeTableCellEditor(JTree tree, JTable table) {
    this.tree = tree;
    this.table = table;
  }

  public Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int r, int c) {
    return tree;
  }

  public boolean isCellEditable(EventObject e) {
    if (e instanceof MouseEvent) {
      MouseEvent me = (MouseEvent) e;
      tree.dispatchEvent(me);
    }
    return false;
  }

  @Override
  public Object getCellEditorValue() {
    return null;
  }


}
