/*_############################################################################
  _## 
  _##  SNMP4J-Model - SnmpCell.java  
  _## 
  _##  Copyright (C) 2013-2015  Frank Fock (SNMP4J.org)
  _##  
  _##  This program is free software; you can redistribute it and/or modify
  _##  it under the terms of the GNU General Public License version 2 as 
  _##  published by the Free Software Foundation.
  _##
  _##  This program is distributed in the hope that it will be useful,
  _##  but WITHOUT ANY WARRANTY; without even the implied warranty of
  _##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  _##  GNU General Public License for more details.
  _##
  _##  You should have received a copy of the GNU General Public License
  _##  along with this program; if not, write to the Free Software
  _##  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
  _##  MA  02110-1301  USA
  _##  
  _##########################################################################*/
package org.snmp4j.model.snmp.spi;

import org.snmp4j.smi.OID;

/**
 * The <code>SnmpCell</code> class represents the coordinates of a cell in a proxy table, see
 * {@link org.snmp4j.model.snmp.proxy.SnmpTableRO}.
 *
 * @author Frank Fock
 */
public class SnmpCell {

  private int row;
  private int column;

  private OID oid;
  private OID rowIndex;

  public SnmpCell(int row, int column, OID oid, OID rowIndex) {
    this.row = row;
    this.column = column;
    this.oid = oid;
    this.rowIndex = rowIndex;
  }

  public int getRow() {
    return row;
  }

  public int getColumn() {
    return column;
  }

  public OID getOid() {
    return oid;
  }

  public OID getRowIndex() {
    return rowIndex;
  }

  @Override
  public String toString() {
    return "SnmpCell{" +
        "row=" + row +
        ", column=" + column +
        ", oid=" + oid +
        ", rowIndex=" + rowIndex +
        '}';
  }
}
