/*_############################################################################
  _## 
  _##  SNMP4J-Model - SnmpException.java  
  _## 
  _##  Copyright (C) 2013-2015  Frank Fock (SNMP4J.org)
  _##  
  _##  This program is free software; you can redistribute it and/or modify
  _##  it under the terms of the GNU General Public License version 2 as 
  _##  published by the Free Software Foundation.
  _##
  _##  This program is distributed in the hope that it will be useful,
  _##  but WITHOUT ANY WARRANTY; without even the implied warranty of
  _##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  _##  GNU General Public License for more details.
  _##
  _##  You should have received a copy of the GNU General Public License
  _##  along with this program; if not, write to the Free Software
  _##  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
  _##  MA  02110-1301  USA
  _##  
  _##########################################################################*/
package org.snmp4j.model.snmp.spi;

import org.snmp4j.model.snmp.spi.SnmpErrorStatus;

/**
 * The SnmpException represents SNMP errors that may occur during SNMP request processing.
 *
 * @author Frank Fock
 */
public class SnmpException extends Exception {

  private SnmpErrorStatus errorStatus;

  public SnmpException(String message, Throwable cause, SnmpErrorStatus errorStatus) {
    super(message, cause);
    this.errorStatus = errorStatus;
  }

  public SnmpException(SnmpErrorStatus errorStatus) {
    super(errorStatus.toString());
    this.errorStatus = errorStatus;
  }

  public SnmpErrorStatus getErrorStatus() {
    return errorStatus;
  }
}
