package org.snmp4j.model.snmp.spi;

import org.snmp4j.model.snmp.api.SnmpProxyId;
import org.snmp4j.model.snmp.proxy.SnmpProxyObject;

import java.util.SortedMap;

/**
 * The {@link SnmpProxyRegistry} interface provides a standard access on
 * {@link org.snmp4j.model.snmp.proxy.SnmpProxyObject} instances based on object name (with MIB module name)
 * and index value(s).
 *
 * @author Frank Fock
 */
public interface SnmpProxyRegistry {

  SnmpProxyObject getProxy(SnmpProxyId snmpProxyId);

  SnmpProxyObject putProxy(SnmpProxyId snmpProxyId, SnmpProxyObject snmpProxyObject);

  SnmpProxyObject removeProxy(SnmpProxyId snmpProxyId);

  SortedMap<SnmpProxyId, SnmpProxyObject> getProxyMap();
}
