/*_############################################################################
  _## 
  _##  SNMP4J-Model - SimpleMibTreeTable.java  
  _## 
  _##  Copyright (C) 2013-2015  Frank Fock (SNMP4J.org)
  _##  
  _##  This program is free software; you can redistribute it and/or modify
  _##  it under the terms of the GNU General Public License version 2 as 
  _##  published by the Free Software Foundation.
  _##
  _##  This program is distributed in the hope that it will be useful,
  _##  but WITHOUT ANY WARRANTY; without even the implied warranty of
  _##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  _##  GNU General Public License for more details.
  _##
  _##  You should have received a copy of the GNU General Public License
  _##  along with this program; if not, write to the Free Software
  _##  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
  _##  MA  02110-1301  USA
  _##  
  _##########################################################################*/
package org.snmp4j.model.demo.mibbrowser;

import javax.swing.*;
import javax.swing.tree.TreePath;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

/**
 * The <code>SimpleMibTreeTable</code> implements a table associated with a tree node.
 *
 * @author Frank Fock
 * @version 1.0
 */
public class SimpleMibTreeTable extends JTable {

  private SimpleMibTreeTableCellRenderer tree;


  public SimpleMibTreeTable(SimpleAbstractTreeTableModel treeTableModel) {
    super();

    tree = new SimpleMibTreeTableCellRenderer(this, treeTableModel);
    super.setModel(new SimpleMibTreeTableModelAdapter(treeTableModel, tree));

    SimpleMibTreeTableSelectionModel selectionModel = new SimpleMibTreeTableSelectionModel();
    tree.setSelectionModel(selectionModel);
    setSelectionModel(selectionModel.getListSelectionModel());

    setDefaultRenderer(SimpleMibTreeTableModel.class, tree);
    setDefaultEditor(SimpleMibTreeTableModel.class, new SimpleMibTreeTableCellEditor(tree, this));

    setShowGrid(false);
    setIntercellSpacing(new Dimension(0, 0));
  }

  public SimpleMibTreeTableCellRenderer getTree() {
    return tree;
  }

}
