package org.snmp4j.model.snmp.api;

import org.snmp4j.model.snmp.proxy.SnmpProxyObject;
import org.snmp4j.model.snmp.spi.SnmpProxyRegistry;
import org.snmp4j.smi.OctetString;

import java.util.*;

/**
 * The {@link DefaultSnmpProxyRegistry} provides a default registry for Snmp
 */
public class DefaultSnmpProxyRegistry implements SnmpProxyRegistry {

  private SortedMap<SnmpProxyId, SnmpProxyObject> registry =
      Collections.synchronizedSortedMap(new TreeMap<SnmpProxyId, SnmpProxyObject>());

  public DefaultSnmpProxyRegistry() {
  }

  @Override
  public SnmpProxyObject getProxy(SnmpProxyId snmpProxyId) {
    return registry.get(snmpProxyId);
  }

  @Override
  public SnmpProxyObject putProxy(SnmpProxyId snmpProxyId, SnmpProxyObject snmpProxyObject) {
     return registry.put(snmpProxyId, snmpProxyObject);
  }

  @Override
  public SnmpProxyObject removeProxy(SnmpProxyId snmpProxyId) {
    return registry.remove(snmpProxyId);
  }

  @Override
  public SortedMap<SnmpProxyId, SnmpProxyObject> getProxyMap() {
    return registry;
  }

}
