/*_############################################################################
  _## 
  _##  SNMP4J-Model - SnmpProxyRowFilter.java  
  _## 
  _##  Copyright (C) 2013-2015  Frank Fock (SNMP4J.org)
  _##  
  _##  This program is free software; you can redistribute it and/or modify
  _##  it under the terms of the GNU General Public License version 2 as 
  _##  published by the Free Software Foundation.
  _##
  _##  This program is distributed in the hope that it will be useful,
  _##  but WITHOUT ANY WARRANTY; without even the implied warranty of
  _##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  _##  GNU General Public License for more details.
  _##
  _##  You should have received a copy of the GNU General Public License
  _##  along with this program; if not, write to the Free Software
  _##  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
  _##  MA  02110-1301  USA
  _##  
  _##########################################################################*/
package org.snmp4j.model.snmp.proxy;


/**
 * The <code>SnmpProxyRowFilter</code> can be used to filter the rows of a table proxy
 * based on the index or content.
 *
 * @author Frank Fock
 */
public interface SnmpProxyRowFilter {

  /**
   * Checks whether the provided proxy row passes the filter or not.
   * @param row
   *   the proxy row to check.
   * @return
   *   <code>true</code> if the row passes the filter, <code>false</code> otherwise.
   */
  boolean passesFilter(SnmpProxyRow row);

}
