/*_############################################################################
  _## 
  _##  SNMP4J-Model - SnmpScalarGroup.java  
  _## 
  _##  Copyright (C) 2013-2015  Frank Fock (SNMP4J.org)
  _##  
  _##  This program is free software; you can redistribute it and/or modify
  _##  it under the terms of the GNU General Public License version 2 as 
  _##  published by the Free Software Foundation.
  _##
  _##  This program is distributed in the hope that it will be useful,
  _##  but WITHOUT ANY WARRANTY; without even the implied warranty of
  _##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  _##  GNU General Public License for more details.
  _##
  _##  You should have received a copy of the GNU General Public License
  _##  along with this program; if not, write to the Free Software
  _##  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
  _##  MA  02110-1301  USA
  _##  
  _##########################################################################*/
package org.snmp4j.model.snmp.proxy;

import org.snmp4j.model.snmp.spi.SnmpProxyCommitter;
import org.snmp4j.smi.OID;

/**
 * The <code>SnmpScalarGroup</code> class represents a writable proxy object for group of SNMP scalar objects.
 *
 * @author Frank Fock
 */
public interface SnmpScalarGroup extends SnmpScalarGroupRO {

  /**
   * Change the model value for the scalar identified by its SNMP instance OID and add the corresponding change
   * to the {@link SnmpProxyCommitter}.
   * @param oid
   *   the instance OID of the SNMP scalar.
   * @param value
   *   the new value for that scalar proxy object.
   */
  void changeValue(OID oid, Object value);

}
