/*_############################################################################
  _## 
  _##  SNMP4J-Model - SnmpScalarGroupRO.java  
  _## 
  _##  Copyright (C) 2013-2015  Frank Fock (SNMP4J.org)
  _##  
  _##  This program is free software; you can redistribute it and/or modify
  _##  it under the terms of the GNU General Public License version 2 as 
  _##  published by the Free Software Foundation.
  _##
  _##  This program is distributed in the hope that it will be useful,
  _##  but WITHOUT ANY WARRANTY; without even the implied warranty of
  _##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  _##  GNU General Public License for more details.
  _##
  _##  You should have received a copy of the GNU General Public License
  _##  along with this program; if not, write to the Free Software
  _##  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
  _##  MA  02110-1301  USA
  _##  
  _##########################################################################*/
package org.snmp4j.model.snmp.proxy;

import java.util.List;

/**
 * The <code>SnmpScalarGroup</code> class represents a read-only proxy object for group of SNMP scalar objects.
 *
 * @author Frank Fock
 */
public interface SnmpScalarGroupRO extends SnmpProxyObject {

  /**
   * Gets a list of the scalar proxy objects in this group.
   * @return
   *    the list of scalar proxy objects in this group.
   */
  List<SnmpScalarRO<?>> getScalars();

  /**
   * Sets the list of the scalar proxy objects in this group.
   * @param scalars
   *    the list of scalar proxy objects in this group.
   */
  void setScalars(List<SnmpScalarRO<?>> scalars);

}
