/*_############################################################################
  _## 
  _##  SNMP4J-Model - SnmpSubTreeRO.java  
  _## 
  _##  Copyright (C) 2013-2015  Frank Fock (SNMP4J.org)
  _##  
  _##  This program is free software; you can redistribute it and/or modify
  _##  it under the terms of the GNU General Public License version 2 as 
  _##  published by the Free Software Foundation.
  _##
  _##  This program is distributed in the hope that it will be useful,
  _##  but WITHOUT ANY WARRANTY; without even the implied warranty of
  _##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  _##  GNU General Public License for more details.
  _##
  _##  You should have received a copy of the GNU General Public License
  _##  along with this program; if not, write to the Free Software
  _##  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
  _##  MA  02110-1301  USA
  _##  
  _##########################################################################*/
package org.snmp4j.model.snmp.proxy;

import org.snmp4j.smi.OID;

import java.util.SortedMap;

/**
 * The <code>SnmpSubTree</code> interface defines a {@link SnmpProxyObject} for sub-trees of a SNMP agent
 * MIB.
 *
 * @author Frank Fock
 */
public interface SnmpSubTreeRO<T> extends SnmpProxyObject {

  /**
   * Get the model value map for this subtree. The map's keys are the instance object identifier of the target SNMP MIB
   * and the values are the corresponding model values.
   *
   * @return
   *    the sub-tree model values as map.
   */
  SortedMap<OID, T> getValues();
}
