package org.snmp4j.model.snmp.proxy.impl;

import org.snmp4j.model.snmp.proxy.SnmpProxyObject;
import org.snmp4j.smi.OID;
import org.snmp4j.smi.OctetString;

/**
 * The {@link SnmpProxyObjectImpl} class implements the {@link org.snmp4j.model.snmp.proxy.SnmpProxyObject}
 * interface.
 *
 * @author Frank Fock
 */
public abstract class SnmpProxyObjectImpl implements SnmpProxyObject {

  protected OID oid;
  protected OctetString context;

  protected SnmpProxyObjectImpl(OctetString context, OID oid) {
    this.context = context;
    this.oid = oid;
  }

  @Override
  public OctetString getContext() {
    return context;
  }

  public OID getOID() {
    return oid;
  }

  @Override
  public String toString() {
    return "SnmpProxyObjectImpl{" +
        "context=" + context +
        ", oid=" + oid +
        '}';
  }
}
